[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCustomMemoryStream.Seek

Sets a new position in the stream.

## Declaration

Source position: classesh.inc line 1050

`public function TCustomMemoryStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Description

Seek overrides the abstract TStream.Seek method. It simply updates the internal stream position, and returns the new position.

## Errors

No checking is done whether the new position is still a valid position, i.e. whether the position is still within the range 0..Size. Attempting a seek outside the valid memory range of the stream may result in an exception at the next read or write operation.

## See also

TStream.Position |  | The current position in the stream.
TStream.Size |  | The current size of the stream.
TCustomMemoryStream.Memory |  | Pointer to the data kept in the memory stream.